package de.uni_marburg.powersort.data;

public enum DataEnum {
    RANDOM_INTEGERS,
    ASCENDING_INTEGERS,
    DESCENDING_INTEGERS;

    public ObjectSupplier get() {
        return switch (this) {
            case RANDOM_INTEGERS -> new RandomIntegers();
            case ASCENDING_INTEGERS -> new AscendingIntegers();
            case DESCENDING_INTEGERS -> new DescendingIntegers();
        };
    }
}
